from django.shortcuts import render

# Create your views here.
from .models import *
from sicurezza.views import *

def ContattiList(request):
  session = getSessionParms(request)
  userauth = session['_userauth_']
  user2edit = session['_user2edit_']
  domain2edit = session['_domain2edit_']
  contatto2edit = session['_contatto2edit_']

  if not user2edit:
    user2edit = userauth

  utenteautorizzato = User.objects.get(pk=userauth)

  contatti = Contatti.objects.all()

  value={}
  value['utenteautorizzato'] = utenteautorizzato
  value['user'] = None
  value['contatti'] = contatti
  value['navbar'] = True

  return render(request,'gestioneContattiList.html',value)

def ContattiEdit(request):
  session = getSessionParms(request)
  userauth = session['_userauth_']
  user2edit = session['_user2edit_']
  domain2edit = session['_domain2edit_']

  if not user2edit:
    user2edit = userauth

  utenteautorizzato = User.objects.get(pk=userauth)

  if not domain2edit:
    domain2edit = utenteautorizzato.domain.id

  dominio = Domini.objects.get(pk=domain2edit)
 
  userlist = User.objects.filter(domain=domain2edit).order_by('mail')

  value={}
  value['utenteautorizzato'] = utenteautorizzato
  value['user'] = None
  value['userlist'] = userlist
  value['dominio'] = dominio
  value['navbar'] = True


